# Text that shows once on conversion complete
tellraw @a ["",{"text":"Commands successfully converted to a datapack!","color":"green"},{"text":"\n"},{"text":"- - - - - - - - - - - - - - -","color":"dark_green"},{"text":"\n"},{"text":"This message will not pop up again, it only shows that the converter has worked!\nIt's not mandatory, but feel free to credit me (","color":"green"},{"text":"NICO_THE_PRO","color":"dark_green"},{"text":") anywhere in your map, if this tool helped you.","color":"green"},{"text":"\n"},{"text":"[Click here]","color":"dark_green","clickEvent":{"action":"run_command","value":"/data merge storage dp_conv:init {\"sign\":true}"}},{"text":" to get a sign that you can put anywhere in the map to let more people know about this tool :).","color":"green"},{"text":"\n\n"},{"text":"Made with <3 by NICO_THE_PRO","color":"dark_green"}]
execute if data storage dp_conv:init "warnings" run tellraw @a ["",{"text":"- - - - - - - - - - - - - - -","bold":true,"color":"yellow"},{"text":"\n\u26a0", "color":"yellow"},{"text":" WARNING ","bold":true,"color":"gold"},{"text":"\u26a0\n", "color":"yellow"},{"text":"Some commands that got converted were modifying blocks/data at coordinates in the selected conversion area.\n Check out this file for more info:\n","color":"gold"},{"text":"PATH_PLACEHOLDER","color":"yellow"}]

# Initial states of the command blocks (storing if they started out active/inactive, successful/unsuccessful)
data merge storage dp_conv:unfair_void_datapack {"r0_0_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r1_0_auto":0b}
data merge storage dp_conv:unfair_void_datapack {"r2_0_auto":0b}
data merge storage dp_conv:unfair_void_datapack {"i0_0_auto":0b}
data merge storage dp_conv:unfair_void_datapack {"i0_0_run":0b}
data merge storage dp_conv:unfair_void_datapack {"i0_1_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r3_0_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r3_0_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r3_1_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r4_0_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r4_0_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r4_1_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r4_1_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r4_2_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r5_0_auto":0b}
data merge storage dp_conv:unfair_void_datapack {"r6_0_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r6_0_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r6_1_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r6_1_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r6_2_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r6_2_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r6_3_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r6_3_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r6_4_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r6_4_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r6_5_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r6_5_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r6_6_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r6_6_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r6_7_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r7_0_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r7_0_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r7_1_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r7_1_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r7_2_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r7_2_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r7_3_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r8_0_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r8_0_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r8_1_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r9_0_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r9_0_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r9_1_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r10_0_auto":0b}
data merge storage dp_conv:unfair_void_datapack {"r11_0_auto":0b}
data merge storage dp_conv:unfair_void_datapack {"r12_0_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r13_0_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r14_0_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r15_0_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r15_0_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r15_1_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r15_1_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r15_2_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r16_0_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r16_0_success":1b}
data merge storage dp_conv:unfair_void_datapack {"r16_1_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r16_1_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r16_2_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r17_0_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r17_0_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r17_1_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r17_1_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r17_2_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r17_2_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r17_3_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r17_3_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r17_4_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r18_0_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r18_0_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r18_1_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"r18_1_success":0b}
data merge storage dp_conv:unfair_void_datapack {"r18_2_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"i1_0_auto":0b}
data merge storage dp_conv:unfair_void_datapack {"i1_0_run":0b}
data merge storage dp_conv:unfair_void_datapack {"i1_1_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"i1_2_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"i1_3_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"i1_4_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"i1_5_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"i1_6_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"i1_7_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"i1_8_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"i1_9_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"i1_10_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"i1_11_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"i1_12_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"i1_13_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"i1_14_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"i1_15_auto":1b}
data merge storage dp_conv:unfair_void_datapack {"i1_16_auto":1b}

# Deleting command blocks (script was executed with -d argument)
execute in minecraft:the_end run fill 1757 55 190 1759 57 192 air replace #signs
execute in minecraft:the_end run fill 1757 55 190 1759 57 192 air replace repeating_command_block
execute in minecraft:the_end run fill 1757 55 194 1759 57 196 air replace #signs
execute in minecraft:the_end run fill 1757 55 194 1759 57 196 air replace repeating_command_block
execute in minecraft:the_end run fill 1757 55 196 1759 57 198 air replace #signs
execute in minecraft:the_end run fill 1757 55 196 1759 57 198 air replace repeating_command_block
execute in minecraft:the_end run fill 1757 55 210 1759 57 212 air replace #signs
execute in minecraft:the_end run fill 1757 56 210 1759 58 212 air replace #signs
execute in minecraft:the_end run fill 1757 55 210 1759 57 212 air replace command_block
execute in minecraft:the_end run fill 1757 56 210 1759 58 212 air replace chain_command_block
execute in minecraft:the_end run fill 1757 55 212 1759 57 214 air replace #signs
execute in minecraft:the_end run fill 1757 56 212 1759 58 214 air replace #signs
execute in minecraft:the_end run fill 1757 55 212 1759 57 214 air replace repeating_command_block
execute in minecraft:the_end run fill 1757 56 212 1759 58 214 air replace chain_command_block
execute in minecraft:the_end run fill 1759 55 200 1761 57 202 air replace #signs
execute in minecraft:the_end run fill 1759 55 201 1761 57 203 air replace #signs
execute in minecraft:the_end run fill 1759 55 202 1761 57 204 air replace #signs
execute in minecraft:the_end run fill 1759 55 200 1761 57 202 air replace repeating_command_block
execute in minecraft:the_end run fill 1759 55 201 1761 57 203 air replace chain_command_block
execute in minecraft:the_end run fill 1759 55 202 1761 57 204 air replace chain_command_block
execute in minecraft:the_end run fill 1759 55 218 1761 57 220 air replace #signs
execute in minecraft:the_end run fill 1759 55 218 1761 57 220 air replace repeating_command_block
execute in minecraft:the_end run fill 1760 55 190 1762 57 192 air replace #signs
execute in minecraft:the_end run fill 1760 55 191 1762 57 193 air replace #signs
execute in minecraft:the_end run fill 1760 55 192 1762 57 194 air replace #signs
execute in minecraft:the_end run fill 1760 55 193 1762 57 195 air replace #signs
execute in minecraft:the_end run fill 1760 55 194 1762 57 196 air replace #signs
execute in minecraft:the_end run fill 1760 55 195 1762 57 197 air replace #signs
execute in minecraft:the_end run fill 1760 55 196 1762 57 198 air replace #signs
execute in minecraft:the_end run fill 1760 55 197 1762 57 199 air replace #signs
execute in minecraft:the_end run fill 1760 55 190 1762 57 192 air replace repeating_command_block
execute in minecraft:the_end run fill 1760 55 191 1762 57 193 air replace chain_command_block
execute in minecraft:the_end run fill 1760 55 192 1762 57 194 air replace chain_command_block
execute in minecraft:the_end run fill 1760 55 193 1762 57 195 air replace chain_command_block
execute in minecraft:the_end run fill 1760 55 194 1762 57 196 air replace chain_command_block
execute in minecraft:the_end run fill 1760 55 195 1762 57 197 air replace chain_command_block
execute in minecraft:the_end run fill 1760 55 196 1762 57 198 air replace chain_command_block
execute in minecraft:the_end run fill 1760 55 197 1762 57 199 air replace chain_command_block
execute in minecraft:the_end run fill 1760 55 212 1762 57 214 air replace #signs
execute in minecraft:the_end run fill 1760 56 212 1762 58 214 air replace #signs
execute in minecraft:the_end run fill 1760 57 212 1762 59 214 air replace #signs
execute in minecraft:the_end run fill 1760 58 212 1762 60 214 air replace #signs
execute in minecraft:the_end run fill 1760 55 212 1762 57 214 air replace repeating_command_block
execute in minecraft:the_end run fill 1760 56 212 1762 58 214 air replace chain_command_block
execute in minecraft:the_end run fill 1760 57 212 1762 59 214 air replace chain_command_block
execute in minecraft:the_end run fill 1760 58 212 1762 60 214 air replace chain_command_block
execute in minecraft:the_end run fill 1760 59 212 1762 61 214 air replace #signs
execute in minecraft:the_end run fill 1760 60 212 1762 62 214 air replace #signs
execute in minecraft:the_end run fill 1760 59 212 1762 61 214 air replace repeating_command_block
execute in minecraft:the_end run fill 1760 60 212 1762 62 214 air replace chain_command_block
execute in minecraft:the_end run fill 1760 61 212 1762 63 214 air replace #signs
execute in minecraft:the_end run fill 1760 62 212 1762 64 214 air replace #signs
execute in minecraft:the_end run fill 1760 61 212 1762 63 214 air replace repeating_command_block
execute in minecraft:the_end run fill 1760 62 212 1762 64 214 air replace chain_command_block
execute in minecraft:the_end run fill 1761 55 218 1763 57 220 air replace #signs
execute in minecraft:the_end run fill 1761 55 218 1763 57 220 air replace repeating_command_block
execute in minecraft:the_end run fill 1763 55 192 1765 57 194 air replace #signs
execute in minecraft:the_end run fill 1763 55 192 1765 57 194 air replace repeating_command_block
execute in minecraft:the_end run fill 1763 55 194 1765 57 196 air replace #signs
execute in minecraft:the_end run fill 1763 55 194 1765 57 196 air replace repeating_command_block
execute in minecraft:the_end run fill 1763 55 195 1765 57 197 air replace #signs
execute in minecraft:the_end run fill 1763 55 195 1765 57 197 air replace repeating_command_block
execute in minecraft:the_end run fill 1763 55 198 1765 57 200 air replace #signs
execute in minecraft:the_end run fill 1763 55 198 1765 57 200 air replace repeating_command_block
execute in minecraft:the_end run fill 1766 55 224 1768 57 226 air replace #signs
execute in minecraft:the_end run fill 1766 56 224 1768 58 226 air replace #signs
execute in minecraft:the_end run fill 1766 57 224 1768 59 226 air replace #signs
execute in minecraft:the_end run fill 1766 55 224 1768 57 226 air replace repeating_command_block
execute in minecraft:the_end run fill 1766 56 224 1768 58 226 air replace chain_command_block
execute in minecraft:the_end run fill 1766 57 224 1768 59 226 air replace chain_command_block
execute in minecraft:the_end run fill 1766 55 225 1768 57 227 air replace #signs
execute in minecraft:the_end run fill 1766 56 225 1768 58 227 air replace #signs
execute in minecraft:the_end run fill 1766 57 225 1768 59 227 air replace #signs
execute in minecraft:the_end run fill 1766 55 225 1768 57 227 air replace repeating_command_block
execute in minecraft:the_end run fill 1766 56 225 1768 58 227 air replace chain_command_block
execute in minecraft:the_end run fill 1766 57 225 1768 59 227 air replace chain_command_block
execute in minecraft:the_end run fill 1772 55 189 1774 57 191 air replace #signs
execute in minecraft:the_end run fill 1772 55 190 1774 57 192 air replace #signs
execute in minecraft:the_end run fill 1772 55 191 1774 57 193 air replace #signs
execute in minecraft:the_end run fill 1772 55 192 1774 57 194 air replace #signs
execute in minecraft:the_end run fill 1772 55 193 1774 57 195 air replace #signs
execute in minecraft:the_end run fill 1772 55 189 1774 57 191 air replace repeating_command_block
execute in minecraft:the_end run fill 1772 55 190 1774 57 192 air replace chain_command_block
execute in minecraft:the_end run fill 1772 55 191 1774 57 193 air replace chain_command_block
execute in minecraft:the_end run fill 1772 55 192 1774 57 194 air replace chain_command_block
execute in minecraft:the_end run fill 1772 55 193 1774 57 195 air replace chain_command_block
execute in minecraft:the_end run fill 1780 55 190 1782 57 192 air replace #signs
execute in minecraft:the_end run fill 1780 55 191 1782 57 193 air replace #signs
execute in minecraft:the_end run fill 1780 55 192 1782 57 194 air replace #signs
execute in minecraft:the_end run fill 1780 55 190 1782 57 192 air replace repeating_command_block
execute in minecraft:the_end run fill 1780 55 191 1782 57 193 air replace chain_command_block
execute in minecraft:the_end run fill 1780 55 192 1782 57 194 air replace chain_command_block
execute in minecraft:the_end run fill 1780 55 194 1782 57 196 air replace #signs
execute in minecraft:the_end run fill 1780 55 195 1782 57 197 air replace #signs
execute in minecraft:the_end run fill 1780 55 196 1782 57 198 air replace #signs
execute in minecraft:the_end run fill 1780 55 197 1782 57 199 air replace #signs
execute in minecraft:the_end run fill 1780 55 198 1782 57 200 air replace #signs
execute in minecraft:the_end run fill 1780 55 199 1782 57 201 air replace #signs
execute in minecraft:the_end run fill 1780 55 200 1782 57 202 air replace #signs
execute in minecraft:the_end run fill 1780 55 201 1782 57 203 air replace #signs
execute in minecraft:the_end run fill 1780 55 202 1782 57 204 air replace #signs
execute in minecraft:the_end run fill 1780 55 203 1782 57 205 air replace #signs
execute in minecraft:the_end run fill 1780 55 204 1782 57 206 air replace #signs
execute in minecraft:the_end run fill 1780 55 205 1782 57 207 air replace #signs
execute in minecraft:the_end run fill 1780 55 206 1782 57 208 air replace #signs
execute in minecraft:the_end run fill 1780 55 207 1782 57 209 air replace #signs
execute in minecraft:the_end run fill 1780 55 208 1782 57 210 air replace #signs
execute in minecraft:the_end run fill 1780 55 209 1782 57 211 air replace #signs
execute in minecraft:the_end run fill 1780 55 210 1782 57 212 air replace #signs
execute in minecraft:the_end run fill 1780 55 194 1782 57 196 air replace command_block
execute in minecraft:the_end run fill 1780 55 195 1782 57 197 air replace chain_command_block
execute in minecraft:the_end run fill 1780 55 196 1782 57 198 air replace chain_command_block
execute in minecraft:the_end run fill 1780 55 197 1782 57 199 air replace chain_command_block
execute in minecraft:the_end run fill 1780 55 198 1782 57 200 air replace chain_command_block
execute in minecraft:the_end run fill 1780 55 199 1782 57 201 air replace chain_command_block
execute in minecraft:the_end run fill 1780 55 200 1782 57 202 air replace chain_command_block
execute in minecraft:the_end run fill 1780 55 201 1782 57 203 air replace chain_command_block
execute in minecraft:the_end run fill 1780 55 202 1782 57 204 air replace chain_command_block
execute in minecraft:the_end run fill 1780 55 203 1782 57 205 air replace chain_command_block
execute in minecraft:the_end run fill 1780 55 204 1782 57 206 air replace chain_command_block
execute in minecraft:the_end run fill 1780 55 205 1782 57 207 air replace chain_command_block
execute in minecraft:the_end run fill 1780 55 206 1782 57 208 air replace chain_command_block
execute in minecraft:the_end run fill 1780 55 207 1782 57 209 air replace chain_command_block
execute in minecraft:the_end run fill 1780 55 208 1782 57 210 air replace chain_command_block
execute in minecraft:the_end run fill 1780 55 209 1782 57 211 air replace chain_command_block
execute in minecraft:the_end run fill 1780 55 210 1782 57 212 air replace chain_command_block
