# This makes init run only once
execute if entity @a unless data storage dp_conv:init {"init":true} run function unfair_void_datapack:init
execute if entity @a run data merge storage dp_conv:init {"init":true}

# Handles giving credit sign
execute if data storage dp_conv:init {"sign":true} run give @a minecraft:oak_sign{BlockEntityTag:{Text1:'{"text":"Converted to","clickEvent":{"action":"run_command","value":"tellraw @a [\\"\\",{\\"text\\":\\"The command blocks in this map were converted to a datapack using NICO_THE_PRO\'s datapack-converter tool! You can learn more on how it works by clicking \\",\\"color\\":\\"green\\"},{\\"text\\":\\"-> here <-\\",\\"bold\\":true,\\"color\\":\\"dark_green\\",\\"clickEvent\\":{\\"action\\":\\"open_url\\",\\"value\\":\\"https://github.com/rotolonico/Datapack-Converter\\"}}]"},"color":"green"}',Text2:'{"text":"datapack by","color":"green"}',Text3:'{"text":"NICO_THE_PRO","color":"green"}',Text4:'{"text":"[Learn more]","bold":true,"color":"dark_green"}'},display:{Name:'{"text":"Epic Sign :D"}'}}
data merge storage dp_conv:init {"sign":false}

# Handles warnings (if any)
execute if data storage dp_conv:init {"warning_message":true} run tellraw @a {"text":"WARNINGS_PLACEHOLDER","color":"yellow"}
data merge storage dp_conv:init {"warning_message":false}

# Calling commands
execute if data storage dp_conv:unfair_void_datapack {r0_0_auto:1b} run function unfair_void_datapack:map_particles
execute if data storage dp_conv:unfair_void_datapack {r1_0_auto:1b} run function unfair_void_datapack:slime_particles
execute if data storage dp_conv:unfair_void_datapack {r2_0_auto:1b} run function unfair_void_datapack:slime_jump
execute if data storage dp_conv:unfair_void_datapack {i0_0_auto:1b} run execute if data storage dp_conv:unfair_void_datapack {i0_0_run:0b} run function unfair_void_datapack:i0
execute if data storage dp_conv:unfair_void_datapack {i0_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {i0_0_run:1b}
execute if data storage dp_conv:unfair_void_datapack {r3_0_auto:1b} run function unfair_void_datapack:space_villager_detect
execute if data storage dp_conv:unfair_void_datapack {r4_0_auto:1b} run function unfair_void_datapack:pitfall_detect
execute if data storage dp_conv:unfair_void_datapack {r5_0_auto:1b} run function unfair_void_datapack:move_1
execute if data storage dp_conv:unfair_void_datapack {r6_0_auto:1b} run function unfair_void_datapack:button_spawn
execute if data storage dp_conv:unfair_void_datapack {r7_0_auto:1b} run function unfair_void_datapack:r7
execute if data storage dp_conv:unfair_void_datapack {r8_0_auto:1b} run function unfair_void_datapack:r8
execute if data storage dp_conv:unfair_void_datapack {r9_0_auto:1b} run function unfair_void_datapack:r9
execute if data storage dp_conv:unfair_void_datapack {r10_0_auto:1b} run function unfair_void_datapack:move_2
execute if data storage dp_conv:unfair_void_datapack {r11_0_auto:1b} run function unfair_void_datapack:destroyparkour
execute if data storage dp_conv:unfair_void_datapack {r12_0_auto:1b} run function unfair_void_datapack:leftgate
execute if data storage dp_conv:unfair_void_datapack {r13_0_auto:1b} run function unfair_void_datapack:rightgate
execute if data storage dp_conv:unfair_void_datapack {r14_0_auto:1b} run function unfair_void_datapack:clear_jump_outside_building
execute if data storage dp_conv:unfair_void_datapack {r15_0_auto:1b} run function unfair_void_datapack:open
execute if data storage dp_conv:unfair_void_datapack {r16_0_auto:1b} run function unfair_void_datapack:close
execute if data storage dp_conv:unfair_void_datapack {r17_0_auto:1b} run function unfair_void_datapack:end_sequence
execute if data storage dp_conv:unfair_void_datapack {r18_0_auto:1b} run function unfair_void_datapack:r18
execute if data storage dp_conv:unfair_void_datapack {i1_0_auto:1b} run execute if data storage dp_conv:unfair_void_datapack {i1_0_run:0b} run function unfair_void_datapack:reset_initiate
execute if data storage dp_conv:unfair_void_datapack {i1_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {i1_0_run:1b}
execute if data storage dp_conv:unfair_void_datapack {r0_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r0_0_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r1_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r1_0_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r2_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r2_0_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r3_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r3_0_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r3_1_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r3_1_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r4_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r4_0_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r4_1_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r4_1_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r4_2_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r4_2_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r5_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r5_0_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r6_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r6_0_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r6_1_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r6_1_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r6_2_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r6_2_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r6_3_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r6_3_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r6_4_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r6_4_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r6_5_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r6_5_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r6_6_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r6_6_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r6_7_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r6_7_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r7_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r7_0_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r7_1_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r7_1_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r7_2_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r7_2_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r7_3_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r7_3_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r8_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r8_0_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r8_1_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r8_1_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r9_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r9_0_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r9_1_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r9_1_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r10_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r10_0_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r11_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r11_0_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r12_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r12_0_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r13_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r13_0_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r14_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r14_0_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r15_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r15_0_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r15_1_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r15_1_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r15_2_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r15_2_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r16_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r16_0_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r16_1_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r16_1_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r16_2_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r16_2_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r17_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r17_0_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r17_1_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r17_1_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r17_2_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r17_2_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r17_3_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r17_3_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r17_4_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r17_4_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r18_0_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r18_0_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r18_1_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r18_1_success:0b}
execute if data storage dp_conv:unfair_void_datapack {r18_2_auto:1b} run data merge storage dp_conv:unfair_void_datapack {r18_2_success:0b}
